* Updated for LiveCycle ES4 Service Pack 1 (SP1)

Adobe® LiveCycle® ES4 server can be set up using any combination of supported operating systems, application servers, databases, database drivers, JDK, LDAP servers, and email servers. This article lists supported software and its version, exceptions, patch definitions, and third-party software patch support policy.

Note:

For a complete list of exceptions to supported server platforms, see Exceptions to supported server platforms.

Note:

Adobe® LiveCycle® ES4 server supports only English, French, German, and Japanese versions of the supported operating systems and applications.  

Production environments

Note:

On production environments, only 64-bit operating systems are supported.

Platform (Base Version)

Supported Patch Definitions

Applies to

Microsoft® Windows® Server® 2008 R2

(Standard and Enterprise editions)

Service packs and critical updates

ES4 and later

Microsoft® Windows® Server® 2008 R1

(Standard and Enterprise editions)

Service packs and critical updates

ES4 and later

IBM® AIX® 7.1

Technology levels, service packs, and program temporary fixes (PTFs)

ES4 and later

IBM® AIX® 6.1

Technology levels, service packs, and PTFs

ES4 and later
Oracle Solaris™ 11
Updates and patches ES4 SP1 and later

Oracle Solaris™ 10 update 4

Updates until update 9 and patches (for ES4)

Updates and patches (for ES4 SP1 and later)

ES4 and later

Red Hat® Enterprise Linux® Server & AP 6.0

Minor releases, cumulative updates, and critical updates

ES4 and later

Red Hat® Enterprise Linux® Server & AP 5.5

Minor releases¸ cumulative updates, and critical updates

ES4 and later

SUSE® Linux® Enterprise Server 11

Service packs, cumulative patches, and critical security updates

ES4 and later

Virtualized environment

Vendor/Technology (Base Version)

Supported Patch Definitions

Applies to

VMWare ESX 3.0, 4.0 and VMWare ESXi 5.0

Minor versions, updates, and patches

ES4 and later

Development environments

Note:

Only 64-bit operating systems are supported in development environments.

Platform (Base Version)

Supported Patch Definitions

Applies to

Microsoft® Windows® 7

Service pack and critical updates

ES4 and later
Microsoft® Windows® Vista Service pack and critical updates ES4 and later

Java Virtual Machines (JVM)

Note:

LiveCycle supports only 64-bit JVMs on production environments.

Product (Base Version)

Supported Patch Definitions

Applies to
Oracle Java™ 7 update 25 Updates ES4 SP1 and later

Oracle Java™ 6 update 31

Updates

ES4 and later

IBM® WebSphere® Java™ SDK 1.7

(As supported by WebSphere® version)

JDK SRs ES4 SP1 and later

IBM® WebSphere® Java™ SDK 1.6

(As supported by WebSphere® version)

JDK SRs

ES4 and later

Oracle JRockit Java™ 6 (R28.x)

(As supported by WebLogic version)

Updates

ES4 and later

Application servers

Note:

IBM® WebSphere® clusters are only supported in Network Deployment editions.

Product (Base Version)

Supported Patch Definitions

Applies to

JBoss® Enterprise Application Platform (EAP) 5.2.0 with patch JBPAPP-10730 applied

(No support for Community editions)

Patches and cumulative patches.

Moving from one micro version to another is not supported (for example, EAP 5.2.1 is not supported).

ES4 SP1 and later

JBoss® Enterprise Application Platform (EAP) 5.1.0

(No support for Community editions)

Patches and cumulative patches.

Moving from one micro version to another is not supported (for example, EAP 5.1.1 is not supported). 

ES4 and later

Oracle WebLogic Server 12.1.1 (12c)

12.1.1 only

ES4 and later

Oracle WebLogic Server 10.3.3 – 10.3.5 (11g)

Patches

(Support for upgrade customers only)

ES4 and later

Oracle WebLogic Server 10.3.6 (11g)

Patches

ES4 and later

IBM® WebSphere® 8.5.5.x

where x = 0

Fix packs

Note: x denotes the fix pack number. Therefore, the supported versions are 8.5.5.0, 8.5.5.1, 8.5.5.2, and so on.

ES4 SP1 and later
IBM® WebSphere® 8.5.0.x
where x = 0
 
Fix packs

Note: x denotes the fix pack number. Therefore, the supported versions are 8.5.0.0, 8.5.0.1, 8.5.0.2, and so on.
 
ES4 SP1 and later

IBM® WebSphere® 8.0.0.x
where x = 2

(Base and Network Deployment editions)

Fix packs

Note: x denotes the fix pack number. Therefore, the supported versions are 8.0.0.2, 8.0.0.3, 8.0.0.4, and so on.
 

ES4 and later

IBM® WebSphere® 7.0.0.x
where x = 21

(Base and Network Deployment editions)

Fix packs

Note: x denotes the fix pack number. Therefore, the supported versions are 7.0.0.21, 7.0.0.22, 7.0.0.23, and so on.
 

ES4 and later

Databases

Product (Base Version)

Supported Patch Definitions

Applies to

MySQL 5.1.30

Updates that do not change the major.minor version

ES4 and later

Microsoft® SQL Server 2012

(Standard and Enterprise editions)

Updates and service packs ES4 SP1 and later

Microsoft® SQL Server 2008 R2

(Standard and Enterprise editions)

Updates and service packs

ES4 and later

Microsoft® SQL Server 2008

(Standard and Enterprise editions)

Updates and service packs

ES4 and later

Microsoft® SQL Server 2005 SP3

(Standard and Enterprise editions)

Updates and service packs

(Support for upgrade customers only)

ES4 and later

Oracle 12c

(Standard, Real Application Clusters (RAC) and Enterprise editions)

Updates and service packs ES4 and later

Oracle 11g R2

(Standard, Real Application Clusters (RAC) and Enterprise editions)

Patch sets

ES4 and later

Oracle 11g R1

(Standard, Real Application Clusters (RAC) and Enterprise editions)

Patch sets

ES4 and later

Oracle 10g R2

(Standard, Real Application Clusters (RAC) and Enterprise editions)

Patch sets

(Support for upgrade customers only)

ES4 only

IBM® DB2® 9.1

(WorkGroup and Enterprise editions)

All minor versions (9.2, 9.3, and so on), fix packs (fix pack 1, 2, 3, and so on), and APARs (fixes)

ES4 and later

Database drivers

Product (Base Version)

Supported Patch Definitions

Applies to

Connector/J 5.1.14 GA for RedHat MySQL
 

Supplied with LiveCycle installation

ES4 and later

Microsoft® SQL Server JDBC driver 3.0 (sqljdbc4.jar) if using Java 6
 

Supplied with LiveCycle installation.
 
ES4 and later
Microsoft® SQL Server JDBC driver 4.0 (sqljdbc4.jar) if using Java 7
 
Supplied with LiveCycle installation. ES4 SP1 and later

Oracle Database 11.2.0.3 JDBC driver (ojdbc6.jar)
 

Supplied with LiveCycle installation

ES4 and later

IBM® DB2 Universal JDBC driver 3.50.152 (db2jcc.jar)
 

Supplied with LiveCycle installation

ES4 and later

LDAP servers (optional)

Product (Base Version)

Supported Patch Definitions

Oracle Directory Server Enterprise Edition 7.0

Service packs

Oracle (or SunOne) Directory Server Enterprise Edition 6.3

Service packs

Oracle (or SunOne) Directory Server Enterprise Edition 5.2

Service packs

Microsoft® Active Directory 2012

As part of the OS update

Microsoft® Active Directory 2008 R2

As part of the OS update

Microsoft® Active Directory 2008

As part of the OS update

Microsoft® Active Directory 2003

As part of the OS update

Microsoft® Active Directory Lightweight Directory Services 2012

As part of the OS update

Microsoft® Active Directory Lightweight Directory Services 2008 R2

As part of the OS update

Microsoft® Active Directory Lightweight Directory Services 2008

As part of the OS update

IBM® Tivoli Directory Server 6.3

Feature packs and interim fixes

IBM® Tivoli Directory Server 6

Feature packs and interim fixes

Novell eDirectory 8.8.7

Product updates

Novell eDirectory 8.7.3

Product updates

IBM Lotus Domino 8.5.0

Maintenance release and fix packs

IBM Lotus Domino 8.0.0

Maintenance release and fix packs

ADAM 1.1.3790.2075

-

OpenLDAP 2.3.43-12.el5_5.3.i386

-

Email servers (optional)

Product Applies to
IBM Lotus Domino 9.0 ES4 SP1 and later
IBM Lotus Domino 8.5 ES4 SP1 and later
Microsoft® Exchange 2010 ES4 and later
Microsoft® Exchange 2007 ES4 and later
Microsoft® Exchange 2003 ES4 and later
Microsoft® Exchange 2000 ES4 and later
Send Mail (Included with RedHat) ES4 and later
Novel GroupWise 7 ES4 and later
Novel GroupWise 6 ES4 and later

Content managers and corresponding connectors

Product
Version
IBM Content Manager Server 8.4 Fix pack 1 and 8.5 Fix pack 2
IBM Content Manager Client
  •  For IBM Content Manager Server 8.4 Fix pack 1, client version 8.4.1 is supported
  •  For IBM Content Manager Server 8.5 Fix pack 2, client version 8.4.3 FP4 is supported
EMC Documentum 6.7 and 7.0
IBM Filenet 5.0 and 5.2
Microsoft Sharepoint 2007, 2010, and 2013

Software support for PDF Generator

Note:

Adobe® LiveCycle® PDF Generator 11 supports only English, French, German, and Japanese versions of the supported operating systems and applications.

In addition:

  • PDF Generator is not supported on Windows 2008 R1. PDF Generator on Windows requires Windows 2008 R2 SP1 and later.
  • LiveCycle supports only 32-bit editions of supported software.
  • The OCR PDF (Searchable PDF), Optimize PDF, and Export PDF features are supported only on Microsoft® Windows®.
  • The HTML2PDF service is supported on SUSE Linux Enterprise Server 11 and Red Hat® Enterprise Linux® Server & AP 6 from LiveCycle ES4 SP1 onwards.

Product

Supported Formats for Conversion to PDF

Adobe® Acrobat® XI Pro XPS, image formats (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF, and DWF

Microsoft® Office 2010

DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF, and TXT

Microsoft® Office 2007

DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF, and TXT

Microsoft® Office Visio 2010

VSD

Microsoft® Office Visio 2007

VSD

Microsoft® Publisher 2010

PUB

Microsoft® Publisher 2007

PUB

Microsoft® Project 2010

MPP

Microsoft® Project 2007

MPP

Adobe® PageMaker 7

PMD, PM6, P65, and PM

Adobe® FrameMaker 8.0

FM

Corel WordPerfect X4

WPD
Note
: WordPerfect conversions are supported only on English version of Windows® Server®.

OpenOffice 3.4

ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX, image formats (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, RTF, and TXT

OpenOffice 3.3

ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, DOC, DOCX, XLS, XLSX, PPT, PPTX, image formats (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, and HTM

Exceptions to supported server platforms

Consider the following exceptions while choosing a platform to set up your LiveCycle server.

Exception Applies to
LiveCycle doesn’t support Oracle WebLogic and JBoss® on IBM® AIX®.
 
ES4 and later
LiveCycle doesn’t support Oracle WebLogic on SUSE® Linux® Enterprise.
 
ES4 only
Oracle WebLogic 12c is supported only on Microsoft® Windows® 2008 R2.
 
ES4 only
LiveCycle doesn’t support Oracle WebLogic and IBM® WebSphere® with MySQL.
 
ES4 and later
LiveCycle doesn’t support IBM® WebSphere® 7 on Red Hat® 6 and IBM® AIX® 7.1.
 
ES4 only
LiveCycle doesn’t support Oracle Solaris™ with Intel® architecture (only SPARC® is supported).
 
ES4 and later
For JDK 6 variants, LiveCycle doesn’t support any other JDK with Oracle WebLogic on Oracle Solaris™ other than Oracle Java™ SE.
 
ES4 and later
For JDK 6 variants, LiveCycle doesn’t support any other JDK with Oracle WebLogic on non-Solaris™ platforms other than Oracle JRockit JDK.
 
ES4 and later
For JDK 7 variants, LiveCycle doesn't support any other JDK other than Oracle Java™ SE with Oracle WebLogic irrespective of the OS variant
 
ES4 SP1 and later
LiveCycle doesn’t support any JDK with JBoss® other than Oracle Java™ SE.
 
ES4 and later
LiveCycle doesn’t support any JDK with IBM® WebSphere® other than IBM® JDK.
 
ES4 and later
PDF Generator is not supported on Windows 2008 R1. PDF Generator on Windows requires Windows 2008 R2 SP1 and later.
 
ES4 and later
Red Hat® 6 is not supported for using HTML2PDF service of PDF Generator.
 
ES4 only
Microsoft® SQL server is supported only when your application server is on the Microsoft® Windows® operating system.
 
ES4 only
LiveCycle doesn’t support IBM® DB2 with JBoss®.
 
ES4 and later
AEM Forms on JEE doesn’t support IBM Content Manager connector client version 8.4.3 on Oracle Solaris 11. ES4 and later
AEM Forms on JEE doesn’t support IBM FileNet 5.2's process engine. ES4 and later

In addition, consider the following points while choosing software for Adobe LiveCycle deployments:

  • LiveCycle supports updates, patches, and fix packs on top of the specified major and minor version of supported software. However, update to the next major or minor version is not supported unless specified.
  • LiveCycle supports various third-party software as per our Third-party software support Policy.
  • LiveCycle supports platforms as per the support provided by third-party vendors. Some combinations may not be allowed by third-party vendors. For example, many vendors have not certified their application servers with IBM® DB2 9.8, and Oracle WebLogic 12c is not supported with Oracle Solaris 10 update 8 and below. As a result, LiveCycle also doesn’t support these combinations. To ensure that you choose the supported software versions, check the support matrix for the third-party vendors as well.

LiveCycle system requirements

Adobe LiveCycle Workbench 11

Note:

All operating systems are supported on 32-bit and 64-bit architectures, except Microsoft® Windows® XP, which is supported only on 32-bit architecture.

Platform

Supported Patch Definitions

Applies to

Microsoft® Windows® 8

(Enterprise, Pro, Basic)

Service packs and critical updates

ES4 SP1 and later

Microsoft® Windows® 7

(Enterprise, Pro, Home - Basic/Premium)

Service packs and critical updates

ES4 and later

Microsoft® Windows® 2008 Server R2, R1

Service packs and critical updates

ES4 and later

Microsoft® Windows® Vista

(Ultimate, Business, Home -Basic/Premium)

Service packs and critical updates

ES4 and later

Microsoft® Windows® Vista Home

(Business, Basic/Premium)

Service packs and critical updates

ES4 and later

Microsoft® Windows® XP Professional SP3

Service packs and critical updates

ES4 and later

Adobe LiveCycle Designer 11

  • Microsoft® Windows® 8 (ES4 SP1 and later)
    • 1 GHz or faster processor with support for PAE, NX, and SSE2.
    • 1 GB of RAM for 32-bit or 2 GB of RAM for 64-bit OS
    • 16 GB disk space for 32-bit or 20 GB disk space for 64-bit OS
  • Microsoft® Windows® 7 (ES4 and later)
    • Windows 7 Starter, Home Premium, Professional, Ultimate, or Enterprise with Service Pack 1 (32-bit and 64-bit)
    • Intel Pentium 4 – 1 GHz (2 GHz recommended)
    • 512 MB of RAM (1 GB recommended)
  • Windows Server 2008 (ES4 and later)
    • Windows Server 2008 or 2008 R2 (32-bit and 64-bit OS)
    • 1.3 GHz or faster processor
    • 512MB of RAM (1 GB recommended)
  • Windows Vista (ES4 and later)
    • Windows Vista® Home Basic or Premium, Business, Ultimate, or Enterprise with Service Pack 2 (32 bit and 64 bit)
    • Intel Pentium 4 – 1 GHz (2 GHz recommended)
    • 512 MB of RAM (1 GB recommended)
  • Graphics memory – 128 MB of GPU (256 MB recommended)
  • 2.35 GB of available hard-disk space
  • DVD-ROM drive
  • Internet Explorer 7 or 8; Firefox 3.5 or 3.6
  • 1024 X 768 pixels or greater monitor resolution
  • Video hardware acceleration (optional)
  • A minimum of Adobe® Acrobat® 10 Professional, Acrobat 10 Standard, or Adobe Reader® 10. To benefit from the new features in Adobe® LiveCycle® Designer 11, you must have Acrobat Pro DC, Acrobat Standard DC, or Adobe Acrobat Reader DC.

Adobe Acrobat and Adobe Reader

Acrobat and Adobe Reader (Base)

Supported Patch Definitions

Applies to
Acrobat DC (Continuous track)
Version 15.008.20082 and later ES4 and later
Acrobat DC (Classic track) Version 15.006.30066 and later ES4 and later

11.0

All updates and patches

ES4 and later
10.0 All updates and patches ES4 and later

Note:

The Acrobat DC product family introduces two tracks for both Acrobat and Reader which are essentially different products: “Classic” and “Continuous.” For details and a comparison of the two tracks, see http://www.adobe.com/go/acrobatdctracks.

Desktops

Browser (Base)

Supported Patch Definitions

Applies to

Windows® Internet Explorer 7

Service packs and updates

ES4 and later

Windows® Internet Explorer 8

Service packs and updates

ES4 and later

Windows® Internet Explorer 9

Service packs and updates

ES4 and later
Windows® Internet Explorer 10 Service packs and updates ES4 SP1 and later

FireFox 13

All updates

ES4 and later

Chrome 19

All updates

ES4 and later

Safari 5.1.7

Minor revisions

ES4 and later

Safari 6.0

Minor revisions

ES4 and later

Note:

Some browser-related exceptions for desktops are as follows:

  • Mobile Forms and HTML Workspace require HTML5 support. Therefore, versions prior to Windows® Internet Explorer 9 are not supported.
  • Safari is supported only on Macintosh OS.
  • LiveCycle UIs support only the desktop mode in Internet Explorer 10. App mode is not supported.
  • FireFox and Chrome are supported only on Microsoft® Windows® platforms (all variants of Windows® XP, Windows® 7, Windows® Vista, Windows® 2008 R1, and Windows® 2008 R2), and Safari on Macintosh OS only. They are not supported on Windows® 8.
  • Adobe® LiveCycle® Workspace 11 does not support Safari 5.1 on Macintosh OS X 10.6 and 10.7 with Acrobat 10.1.3 and earlier versions. For more information about Safari 5.1 compatibility with Adobe Reader, Acrobat, see http://helpx.adobe.com/x-productkb/multi/safari-5-1-incompatible-reader.html.
  • Forms portal supports JAWS 14.0 screen reader software on Internet Explorer 10 for accessibility.
  • LiveCycle Administration Console is not supported on Safari.

Mobile clients

Browser (Base)

Supported Patch Definitions

Applies to

Chrome on Android™ 4.0 and later

All updates

ES4 and later

Safari (iOS 5.1.1)

All updates

ES4 and later

Safari (iOS 6.0)

All updates

ES4 and later

Note:

Some browser-related exceptions for mobile clients are as follows:

  • Mobile clients are supported only for Mobile Forms and Forms Portal.
  • Mobile Forms is not supported on the default browser on Android devices.
  • Forms Portal is supported on Safari on iPad only.
     

Mobile Workspace

OS (Base)

Supported Patch Definitions

Applies to

Apple iOS 5.1.1

All iOS updates

ES4 and later

Apple iOS 6

All iOS updates

ES4 and later
Apple iOS 7 All iOS updates ES4 SP1 and later
Android Jelly Bean 4.1.2 and later Minor updates to Jelly Bean ES4 SP1 and later

Adobe Flash Player

Flash Player (Base)

Supported Patch Definitions

Applies to

Flash Player 11.1

Minor versions and updates

ES4 and later

Flex SDK

  • Supports Flex SDK 4.1, 4.5 and, 4.6.
  • Correspondence Management Solution supports only Flex SDK 4.5
  • Adobe® LiveCycle® Workspace 11 supports only Flex SDK 3.4.1.
     

Adobe AIR

  • Adobe AIR 3.1

Adobe LiveCycle Rights Management Extension for Microsoft Office

Click here to see the system requirements for Adobe Rights Management Extension for Microsoft® Office.

Adobe Central Output Server

LiveCycle ES4 supports Adobe® Central Output Server 5.7.1. For more information, see Adobe Central Output Server upgrade FAQ.

Exceptions to client support

Microsoft® Windows® 2012 is not supported for all specified client-side software except Reader and Acrobat.

Also, LiveCycle supports updates, patches, and fix packs on top of the specified major and minor version of supported software. However, update to the next major or minor version is not supported unless specified.

LiveCycle third-party patch support policy

The third-party software requirements for all versions of Adobe LiveCycle are documented in the “System Requirements” section of their respective product documents. All documentation for currently supported LiveCycle versions can be accessed from http://helpx.adobe.com/livecycle.html. For versions 8.x and later, review the Preparing to Install LiveCycle document for your LiveCycle version.

Adobe LiveCycle’s third-party reference platforms state the specific patch level of third-party infrastructure that was current during the development and release of each version of LiveCycle, and from the minimum patch/service pack level of the infrastructure supported by that version of LiveCycle. 

Adobe supports urgent or recommended patches issued by third-party vendors upon their release assuming that third-party vendors guarantee backward compatibility with the versions that Adobe LiveCycle supports. Adobe will only support patches released after the minimum patch level stated in the LiveCycle documentation.

In some cases, Adobe does not support third-party updates that change major functionality, and thus do not support full backward compatibility. For details on the supported updates, see Supported patch definitions for specific vendor products and the patch types Adobe supports.

Under circumstances beyond Adobe’s control, third-party patches that claim backward compatibility may have negative impact on the Adobe products or customer environments. In such cases, Adobe recommends that customers assess the impact of any urgent patch from a third party before applying them to critical systems. Adobe will work with third parties using reasonable business efforts to resolve such issues, either through normal Adobe support programs or by third parties rectifying the issue in their patch. This does not guarantee that a newly released third-party patch that will be supported by Adobe will work as documented by the vendor or with LiveCycle.

Adobe reserves the right to change the third-party reference platforms supported by a LiveCycle release and their supported patch definitions at any given point.

Additional information for third-party patches can also be found by searching the Adobe Enterprise Support site for knowledgebase articles related to your product.

Change History

Last updated: September 09, 2015

  • Added LiveCycle ES4 supports Acrobat DC
  • Changed minimum supported version to Acrobat 10

 

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Twitter™ and Facebook posts are not covered under the terms of Creative Commons.

Legal Notices   |   Online Privacy Policy